package com.zioinfo.cms.theme.mapper;

import com.zioinfo.cms.theme.CmsTheme;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThemeMapper {
    List<CmsTheme> findAll();
    CmsTheme findById(@Param("id") Long id);
    CmsTheme findActive();
    int insert(CmsTheme t);
    int update(CmsTheme t);
    int deactivateAll();
    int activate(@Param("id") Long id);
    int delete(@Param("id") Long id);
}
